Skip to navigation

✨ List project roles

List users and their project level roles for a given project. If user is not listed here and is a member of the project then they would behave as assigned role in organization.

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired

Response

idintegerRead-only
projectinteger
roleenum
  • OW - Owner
  • AD - Administrator
  • MA - Manager
  • RE - Reviewer
  • AN - Annotator
  • DI - Deactivated
  • NO - Not Activated
role_sourceenum or null
  • manual - Manual
  • saml - SAML
  • scim - SCIM
  • ldap - LDAP
  • api - API
  • billing - Billing
userinteger